> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# रिपोर्ट टेम्पलेट API सूची

> Didit के Management API में प्रति क्षेत्राधिकार और रिपोर्ट प्रकार के लिए पुनः प्रयोज्य FIU रिपोर्ट हेडर टेम्पलेट सूचीबद्ध करें।



रिपोर्ट टेम्पलेट सूचीबद्ध करने का API प्रॉम्प्ट
        प्रॉम्प्ट को क्लिपबोर्ड पर कॉपी करें



      
      

\<pre>

\`List FIU report templates through the Management API.

Endpoint:
GET https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/report-templates/

Authentication:
Use the x-api-key header with my Didit API key.

Query params: limit (default 50), offset (default 0).

Example call:
curl -X GET "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/report-templates/" \
-H "x-api-key: YOUR_API_KEY"

Response 200: {"count", "next", "previous", "results": [ReportTemplateDetail, ...]}
ReportTemplateDetail: uuid, name, jurisdiction (ISO2), report_type (SAR|STR|CTR|TTR|UTR|IFT|CBR|TFR), report_type_display, field_config, created_at, updated_at.

Failure modes:
\- 401/403 - auth/permission errors (requires list:cases).

Side effects: none, pure read.

For the full integration shape, see /integration/integration-prompt.`

\</pre>



      
      

यहाँ पेस्ट करें

एप्लिकेशन के लिए रिपोर्ट टेम्पलेट सूचीबद्ध करें, हर उस क्षेत्राधिकार और रिपोर्ट प्रकार के संयोजन के लिए एक, जिसके लिए आप नियमित रूप से रिपोर्ट दाखिल करते हैं।## संबंधित- [रिपोर्ट टेम्पलेट बनाएँ](https://docs.didit.me/hi/management-api/report-templates/create.md)
- [केस से रिपोर्ट बनाएँ](https://docs.didit.me/hi/management-api/regulatory-reports/create-for-case.md)
- [FIU रिपोर्ट (कंसोल)](https://docs.didit.me/hi/console/case-management/fiu-reports.md)


## OpenAPI

````yaml hi/openapi-25.json GET /v3/organization/{organization_id}/application/{application_id}/report-templates/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: पहचान सत्यापन API। x-api-key हेडर के साथ प्रमाणीकृत करें।
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/organization/{organization_id}/application/{application_id}/report-templates/:
    get:
      tags:
        - Report Templates
      summary: रिपोर्ट टेम्पलेट सूचीबद्ध करें
      description: एप्लिकेशन के लिए FIU रिपोर्ट टेम्पलेट सूचीबद्ध करें।
      operationId: list_report_templates
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: संगठन UUID।
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: एप्लिकेशन UUID।
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
          description: पेज का आकार।
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
          description: शून्य-आधारित ऑफ़सेट।
      responses:
        '200':
          description: पेजिनेटेड टेम्पलेट।
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    description: >-
                      मिलान वाली पंक्तियों की संख्या, परफ़ॉर्मेंस के लिए 100 पर
                      सीमित।
                  next:
                    type: string
                    nullable: true
                  previous:
                    type: string
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReportTemplateDetail'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: curl
          label: curl
          source: >-
            curl -X GET
            'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/report-templates/'
            \
              -H 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            client = Didit()

            for item in client.report_templates.list():
                print(item)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            const didit = new Didit();

            for await (const item of didit.reportTemplates.list()) {
              console.log(item);
            }
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID\n// and DIDIT_APPLICATION_ID.\nclient := didit.NewClient()\n\niter := client.ReportTemplates.ListAutoPaging(ctx, didit.ReportTemplatesListParams{})\nfor iter.Next() {\n\tfmt.Printf(\"%+v\\n\", iter.Current())\n}\nif err := iter.Err(); err != nil {\n\tlog.Fatal(err)\n}"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            Didit client = new Didit();

            for (var item : client.reportTemplates().list()) {
                System.out.println(item);
            }
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            $didit = new DiditClient();

            foreach ($didit->reportTemplates->list() as $item) {
                print_r($item->toArray());
            }
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            didit = Didit::Client.new

            didit.report_templates.list.auto_paging_each do |item|
              puts item.to_h
            end
        - lang: csharp
          label: .NET
          source: |-
            using System;
            using System.Text.Json;
            using Didit;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            using var client = new DiditClient();

            await foreach (var item in await client.ReportTemplates.ListAsync())
            {
                Console.WriteLine(JsonSerializer.Serialize(item));
            }
components:
  schemas:
    ReportTemplateDetail:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
        jurisdiction:
          type: string
          minLength: 2
          maxLength: 2
          description: ISO 3166-1 alpha-2 देश कोड।
        report_type:
          type: string
          enum:
            - SAR
            - STR
            - CTR
            - TTR
            - UTR
            - IFT
            - CBR
            - TFR
        report_type_display:
          type: string
        field_config:
          type: object
          description: >-
            पुनः प्रयोज्य goAML हेडर डिफ़ॉल्ट। टेम्पलेट-स्तरीय अनिवार्य फ़ील्ड:
            rentity_id, submission_code, और currency_code_local (3-अक्षर)।
            वैकल्पिक: enabled_fields (किन वैकल्पिक रिपोर्ट ब्लॉकों को शामिल करना
            है) साथ ही reporting_person, location, reason, और action डिफ़ॉल्ट।
            प्रति-फ़ाइलिंग हेडर फ़ील्ड (action, submission_date, transactions,
            jurisdiction) तब लागू होते हैं जब रिपोर्ट सत्यापित या अंतिम रूप दी
            जाती है, टेम्पलेट पर नहीं।
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        आपकी एप्लिकेशन की API कुंजी, Business Console में Developers -> API keys
        से। प्राथमिक कुंजी के पास पूर्ण एक्सेस होता है। एक नामित कुंजी को स्कोप
        किया जा सकता है: प्रति संसाधन none, read या write, कुछ वर्कफ़्लो या
        स्वीकृत सत्रों तक सीमित, IP पतों की सूची तक सीमित, और समाप्ति तिथि तक
        सीमित। 401 का अर्थ है कि कुंजी गलत है, निरस्त कर दी गई है या उसकी
        समय-सीमा समाप्त हो गई है; 403 का अर्थ है कि कोई कुंजी नहीं भेजी गई थी,
        कुंजी के पास इस संसाधन या कार्रवाई का एक्सेस नहीं है, या अनुरोध उसकी IP
        सूची से बाहर के पते से आया था; सत्र रूट पर 404 का अर्थ है कि सत्र कुंजी
        के वर्कफ़्लो या स्थितियों से बाहर है। मीडिया एक्सेस के बिना एक कुंजी को
        छवि, वीडियो और PDF URL null के रूप में प्राप्त होते हैं, और सत्र write
        के बिना एक कुंजी को सत्र लिंक और token null के रूप में प्राप्त होते हैं।
        देखें https://docs.didit.me/console/api-keys।

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.